#ifndef __BUF_QUEUE_H_
#define	__BUF_QUEUE_H_ 1

struct _buf_t;

typedef struct _buf_queue_t buf_queue_t;

struct _buf_queue_t {
	struct _buf_t **queue;
	struct _buf_t **head;
	unsigned char count;
	unsigned char size;
};

void buf_queue_init (buf_queue_t *q, struct _buf_t **buf, int bytes);
void buf_queue_put (buf_queue_t *q, struct _buf_t *b);
struct _buf_t *buf_queue_get (buf_queue_t *q);
unsigned char buf_queue_is_full (buf_queue_t *q);
void buf_queue_clean (buf_queue_t *q);

#endif /* !__BUF_QUEUE_H_ */
